Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SOCK.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Addr.h"`
`#include "ace/IPC_SAP.h"`
`#include "ace/SOCK.i"`

Include dependency graph for SOCK.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_SOCK
| An abstract class that forms the basis for more specific classes, such as <ACE_SOCK_Acceptor> and <ACE_SOCK_Stream>. Do not instantiate this class. More...
## Defines
#define | ACE_SHUTDOWN_READ 0
#define | ACE_SHUTDOWN_WRITE 1
#define | ACE_SHUTDOWN_BOTH 2

## Detailed Description

Id:
  SOCK.h,v 4.33 2003/11/01 11:15:16 dhinton Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_SHUTDOWN_BOTH 2

#define ACE_SHUTDOWN_READ 0

#define ACE_SHUTDOWN_WRITE 1